# Updates a stored payment method with the specified ID. This method will update an existing stored payment method with the specified ID. Endpoint: PUT /storedPaymentMethods/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the stored payment method to update. ## Request fields (application/json): - `billing_address` (object) A complete address - `billing_address.city` (string) The city of the address - `billing_address.country` (string) The country ISO code - `billing_address.country_name` (string) The full name of hte country - `billing_address.county` (string) The county - `billing_address.latitude` (number) - `billing_address.line1` (string) The first line of the address - `billing_address.line2` (string) The second line of the address - `billing_address.line3` (string) The third line of the address - `billing_address.longitude` (number) - `billing_address.postal_code` (string) The zip/postal code - `billing_address.state` (string) The state/province of the address - `billing_address.time_zone_id` (string) - `contact_id` (string, required) The name of the customer whose payment method is being stored - `credit_card_type` (string, required) Credit card type Enum: "american express", "discover", "mastercard", "other", "visa" - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `expires` (string) Date of expiration - `id` (string, required) The unique, string identifier of this stored payment method - `last_four_digits` (string, required) Last four digits of the account number - `merchant_account_tokens` (array, required) - `merchant_account_tokens.merchant_account_id` (string, required) The merchant account being vaulted - `merchant_account_tokens.token` (string, required) The token for this payment method for the merchant account - `name` (string, required) The name of the stored payment method - `name_on_account` (string, required) The name on the account - `payrix_migrated` (boolean) - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `type` (string, required) Type of stored payment Enum: "credit card", "electronic check" ## Response 200 fields (application/json): - `billing_address` (object) A complete address - `billing_address.city` (string) The city of the address - `billing_address.country` (string) The country ISO code - `billing_address.country_name` (string) The full name of hte country - `billing_address.county` (string) The county - `billing_address.latitude` (number) - `billing_address.line1` (string) The first line of the address - `billing_address.line2` (string) The second line of the address - `billing_address.line3` (string) The third line of the address - `billing_address.longitude` (number) - `billing_address.postal_code` (string) The zip/postal code - `billing_address.state` (string) The state/province of the address - `billing_address.time_zone_id` (string) - `contact_id` (string, required) The name of the customer whose payment method is being stored - `credit_card_type` (string, required) Credit card type Enum: "american express", "discover", "mastercard", "other", "visa" - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `expires` (string) Date of expiration - `id` (string, required) The unique, string identifier of this stored payment method - `last_four_digits` (string, required) Last four digits of the account number - `merchant_account_tokens` (array, required) - `merchant_account_tokens.merchant_account_id` (string, required) The merchant account being vaulted - `merchant_account_tokens.token` (string, required) The token for this payment method for the merchant account - `name` (string, required) The name of the stored payment method - `name_on_account` (string, required) The name on the account - `payrix_migrated` (boolean) - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `type` (string, required) Type of stored payment Enum: "credit card", "electronic check" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields